%define	name	asteroids3D
%define	version	0.5.1
%define	release	%mkrel 2
%define	Summary	A 3D, first-person game of blowing up asteroids

Name:		%{name}
Summary:	%{Summary}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Games/Arcade
Source:		https://sourceforge.net/projects/a3d/%name-%version.tar.xz
URL:		https://sourceforge.net/projects/a3d/	
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires: mesa-common-devel

%description
asteroids3D is a 3D, first-person game of blowing up asteroids.
The graphics more accurately reflect the future position of the 
targeted asteroid and provide information about closure rate.

%prep
%setup -q 

%build
%configure2_5x --with-gamesdir=%_gamesbindir --with-gamedatadir=%_gamesdatadir/%name
%make

%install
rm -rf $RPM_BUILD_ROOT
make install gamesdir=$RPM_BUILD_ROOT%{_gamesbindir} gamedatadir=$RPM_BUILD_ROOT%{_gamesdatadir}/%name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name}
Icon=arcade_section
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
Name=Asteroids3D
Comment=%{Summary}
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (644,root,root,755)
%doc COPYRIGHT README.html 
%{_gamesdatadir}/%name
%defattr (755,root,root,755)
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jul 6 2016 adrianomorselli <adrianomorselli> 0.5.1-2uplos2011
- rebuild

* Tue Oct 04 2011 Archie <pclinuxos.ph at gmail.com> 0.5.1-2pclos2011
- Rebuild for x86_64

* Thu Jun 03 2010 Texstar <texstar at gmail.com> 0.5.1-1pclos2010
- update for 2010 release

